@echo off

set AS_BIN_PATH=C:\Utilities\AS\bin
set PROJNAME=highway-encounter
set FILENAME=highenc
set PROJPATH=D:\8bit\PMD-85\projects\%PROJNAME%
set SRCPATH=%PROJPATH%\src
set OUTPATH=%PROJPATH%\out

cd /D %AS_BIN_PATH%

asw -U -L -D ORG_ADDR=8 -i %SRCPATH% -o %OUTPATH%\%FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error

p2bin %OUTPATH%\%FILENAME%.p %OUTPATH%\%FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -i8080 -ei -a 8 -ja 8 -vram -ra 0xFDF0 %OUTPATH%\%FILENAME%.bin
if ERRORLEVEL 1 goto error

copy /B %OUTPATH%\prolog.bin + %OUTPATH%\%FILENAME%.pck %OUTPATH%\%FILENAME%.cod

bin2ptp -m HIGHENC -o %OUTPATH%\%FILENAME%.ptp %OUTPATH%\%FILENAME%.cod
if ERRORLEVEL 1 goto error

rem pause

start %OUTPATH%\%FILENAME%.ptp
goto end

:error
echo Chyba kompilacie.
rem pause

:end
rem pause
