@echo off

set AS_BIN_PATH=C:\Utilities\AS\bin
set PROJNAME=highway-encounter
set FILENAME=highenc
set FILENAME_LDR=highenc-ldr-disk
set PROJPATH=D:\8bit\PMD-85\projects\%PROJNAME%
set SRCPATH=%PROJPATH%\src
set OUTPATH=%PROJPATH%\out

cd /D %AS_BIN_PATH%

asw -U -L -D ORG_ADDR=8 -i %SRCPATH% -o %OUTPATH%\%FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error

p2bin %OUTPATH%\%FILENAME%.p %OUTPATH%\%FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -i8080 -ei -a 8 -ja 8 -vram -ra 0xFDF0 %OUTPATH%\%FILENAME%.bin
if ERRORLEVEL 1 goto error

copy /B %OUTPATH%\prolog.bin + %OUTPATH%\%FILENAME%.pck %OUTPATH%\%FILENAME%.cod

if exist %OUTPATH%\%FILENAME%.p32 cim %OUTPATH%\%FILENAME%.p32 -q
cim %OUTPATH%\%FILENAME%.p32 -a %OUTPATH%\%FILENAME%.inf
if ERRORLEVEL 1 goto error
cim %OUTPATH%\%FILENAME%.p32 -a %OUTPATH%\..\data\%FILENAME%.scr
if ERRORLEVEL 1 goto error
cim %OUTPATH%\%FILENAME%.p32 -a %OUTPATH%\%FILENAME%.cod
if ERRORLEVEL 1 goto error

asw -U -L -i %SRCPATH% -o %OUTPATH%\%FILENAME_LDR%.p %SRCPATH%\%FILENAME_LDR%.a8080
if ERRORLEVEL 1 goto error

p2bin %OUTPATH%\%FILENAME_LDR%.p %OUTPATH%\%FILENAME_LDR%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -i8080 -ei -a 0x0100 -ja 0x0100 -ra 0x8000 -o %OUTPATH%\%FILENAME%.com %OUTPATH%\%FILENAME_LDR%.bin
if ERRORLEVEL 1 goto error

if exist %OUTPATH%\%FILENAME%.dz8 cim %OUTPATH%\%FILENAME%.dz8 -q
cim %OUTPATH%\%FILENAME%.dz8 -a %OUTPATH%\%FILENAME%.com
if ERRORLEVEL 1 goto error

rem pause
goto end

:error
echo Chyba kompilacie.
rem pause

:end
rem pause
