@echo off

set AS_BIN_PATH=C:\Utilities\AS-1.42.72\bin
set PROJNAME=highway-encounter
set FILENAME=highenc
set OUT_FILENAME=highenc
set LDR_FILENAME=highenc-loader
set PROJPATH=D:\8bit\PMD-85\projects\%PROJNAME%
set SRCPATH=%PROJPATH%\src
set OUTPATH=%PROJPATH%\out

cd /D %AS_BIN_PATH%

asw -U -L -D ORG_ADDR=0 -OLIST %SRCPATH%\%OUT_FILENAME%.lst -i %SRCPATH% -o %OUTPATH%\%OUT_FILENAME%.p %SRCPATH%\%FILENAME%.a8080
if ERRORLEVEL 1 goto error

p2bin %OUTPATH%\%OUT_FILENAME%.p %OUTPATH%\%OUT_FILENAME%.bin -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

quido -i8080 -ei -a 0 -ja 0 -vram -ra 0xFDF0 %OUTPATH%\%OUT_FILENAME%.bin
if ERRORLEVEL 1 goto error

asw -U -L -c -i %SRCPATH% -o %OUTPATH%\%LDR_FILENAME%.p %SRCPATH%\%LDR_FILENAME%.a8080
if ERRORLEVEL 1 goto error

p2bin %OUTPATH%\%LDR_FILENAME%.p %OUTPATH%\%FILENAME%.ptp -k -l 0 -r $-$
if ERRORLEVEL 1 goto error

checksum -add -sl ACodeStart,ACodeLength,ACodeCrc;AHeadStart,AHeadLength,AHeadCrc;AScrStart,AScrLength,AScrCrc;ALoadStart,ALoadLength,ALoadCrc -sf %SRCPATH%\%LDR_FILENAME%.h %OUTPATH%\%FILENAME%.ptp
if ERRORLEVEL 1 goto error

start %OUTPATH%\%FILENAME%.ptp
goto end

:error
echo Chyba kompilacie.
pause

:end
rem pause
